ED(1)

NAAM
ed - regel georiënteerde tekstverwerker

SAMENVATTING
ed [opties] [[+regel] bestand]

BESCHRIJVING
GNU ed is a line-oriented text editor. It is used to create, display, modify and otherwise manipulate text files, both interactively and via shell scripts. A restricted version of ed, red, can only edit files in the current directory and cannot execute shell commands. Ed is the 'standard' text editor in the sense that it is the original editor for Unix, and thus widely available. For most purposes, however, it is superseded by full-screen editors.

De bestandsnaam mag worden voorafgegaan door '+regel', '+/RE', of '+?RE' om de huidige regel te zetten op het opgegeven regel nummer of op de eerste of laatste regel die overeenkomt met de reguliere expressie 'RE'.

Begin het verwerken door 'bestand' te lezen als gegeven. Als 'bestand' begint met een '|' lees dan de uitvoer van een shell commando.

De omgevingsvariabelen REGELS can worden gebruikt om de initiële venster grootte in te stellen.

OPTIES

-h, --help
    toon de helptekst en stop

-V, --versie
    toon programmaversie en stop

-E, --extended-regexp
    gebruik uitgebreide reguliere expressies

-G, --traditional
    draai in compatibiliteit modus.

-l, --loose-exit-status
    beëindig met 0 status zelfs als een commando faalt

-p, --prompt=TEKST
    gebruik TEKST als de interactieve vraag

-q, --quiet, --silent
    onderdruk diagnoses geschreven naar stderr

-r, --restricted
    draai in beperkte modus

-s, --script
    onderdruk byte tellers en de '|' vraag

-v, --verbose
    uitgebreide meldingen weergeven; gelijk aan het opdracht 'H'

--strip-trailing-cr
    verwijder wagen terugloop aan het einde van de tekst regels

--unsafe-names
    sta controle tekens toe in bestandsnamen

BEËINDIGINGS STATUS
0 bij een normale beëindiging, 1 voor omgevings problemen (ongeldige commando-regel opties, vol geheugen, commando faalde, etc.), 2 voor problemen met de invoer (bestand niet gevonden, buffer gemodificeerd, I/O fouten), 3 voor een interne consistentie fout (e.g. bug) die veroorzaakte dat ed panikeerde.

RAPPORTEREN VAN BUGS
Rapporteer gebreken in het programma aan bug-ed@gnu.org
Webpagina van Ed: http://www.gnu.org/software/ed/ed.html
Algemene hulp bij gebruik van GNU-software: http://www.gnu.org/gethelp

COPYRIGHT
Copyright © 1994 Andrew L. Moore.
Copyright © 2026 Antonio Diaz Diaz. Licentie GPLv2+: GNU GPL versie 2 of later <http://gnu.org/licenses/gpl.html>
Dit is vrije software: u mag het vrijelijk wijzigen en verder verspreiden. Deze software kent GEEN GARANTIE, voor zover de wet dit toestaat.

ZIE OOK
De volledige documentatie voor ed wordt bijgehouden als een Texinfo-handleiding. Als de programma's info en ed correct op uw systeem zijn geïnstalleerd, geeft u de opdracht

    info ed

zou u toegang moeten geven tot de complete handleiding

VERTALING
De Nederlandse vertaling van deze handleiding is geschreven door Jos Boersema <joshb@xs4all.nl>, Mario Blättermann <mario.blaettermann@gmail.com> en Luc Castermans <luc.castermans@gmail.com>

Deze vertaling is vrije documentatie; lees de GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) of later over de Copyright-voorwaarden. Er is geen AANSPRAKELIJKHEID.

Indien U fouten in de vertaling van deze handleiding zou vinden, stuur een e-mail naar debian-l10n-dutch@lists.debian.org.